Bug 143392 - Creates certificates + keys at an insecure/bad place
Creates certificates + keys at an insecure/bad place
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-20 06:27 EST by Enrico Scholz
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: openssl-0.9.7f-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 18:32:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2004-12-20 06:27:25 EST
[ This is (nearly) a copy of bug #141479 ]

Description of problem:

The %post scriptlet creates the SSL certificate at /usr/share/ssl. This
causes problems because:

* the /usr filesystem (inclusive /usr/share/ssl) can be shared between
  several hosts; when there are multiple imap-servers, every one would
  use the same certificate. This will not work because CN must match
  the DNS name.

  This causes problems also, when /usr is mounted read-only. Then the
  %post-scriptlet will fail because the certificate can not be created.


* the sharing happens in >90% of all cases over an unencrypted
  network-filesystem (NFS). So, an attacker could easily get the
  SSL key.

A better place for the certificates would be somewhere under /etc.


Version-Release number of selected component (if applicable):

exim-4.43-3
Comment 1 Thomas Woerner 2004-12-20 07:01:10 EST
Assigning to openssl, because this is a problem for all applications
which are using certificates.
Comment 2 Enrico Scholz 2004-12-20 07:47:39 EST
I do not think that this is problem of openssl only. The standard
/usr/share/openssl path is ok for CA certificates, and the statements
above do not apply to it. I agree that this path is not good for
system-management -- configuration data (and ca-bundle.crt is a such
one) should not be placed under /usr but in /etc or /var. But this is
another, minor issue...

All SSL-capable applications (at least these, known by me) accept
pathnames for the service certificate+key. So the packages creating
own keys (exim, postgresql-server, openldap-server) should put the
certs into a safe path; the applications will work without problems.
Comment 3 Tomas Mraz 2005-04-21 18:32:34 EDT
The contents of the /usr/share/ssl (including the ca-bundle, although it's
debatable if it should stay or not) is moved to /etc/pki/tls and /etc/pki/CA
directories.

Note You need to log in before you can comment on or make changes to this bug.